Debian Bug report logs - #292231
[NONFREE-DOC:GFDL1.1] making the entire manpage invariant is not consistent with the DFSG

version graph

Package: hasciicam; Maintainer for hasciicam is Luca Bigliardi <shammash@artha.org>; Source for hasciicam is src:hasciicam.

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Tue, 25 Jan 2005 21:03:51 UTC

Owned by: Paul Brossier <piem@altern.org>

Severity: serious

Tags: etch-ignore, fixed-upstream

Found in versions 0.9.1-1, 0.9.1-2

Fixed in versions hasciicam/0.9.1-2.1, hasciicam/1.0-1

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Christian Surchi <csurchi@debian.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
New Bug report received and forwarded. Copy sent to Christian Surchi <csurchi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: maintonly@bugs.debian.org
Subject: manpage looks not distributeable, as license not adhered
Date: Tue, 25 Jan 2005 21:48:00 +0100
Package: hasciicam
Version: 0.9.1-1
Severity: serious

The following manpages say they are only distributeable under
the GFDL, but do not include the license text required by this
license:

hasciicam.1.gz

This mass-filing of bugs was announced 2005-01-09 in my mail to 
debian-devel and debian-legal:
http://lists.debian.org/debian-devel/2005/01/msg00499.html
http://lists.debian.org/debian-legal/2005/01/msg00262.html

Hochachtungsvoll,
	Bernhard R. Link



Information forwarded to Christian Surchi <csurchi@debian.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to jaromil <jaromil@dyne.org>:
Extra info received and forwarded to maintainer. Copy sent to Christian Surchi <csurchi@debian.org>. Full text and rfc822 format available.

Message #10 received at 292231-maintonly@bugs.debian.org (full text, mbox):

From: jaromil <jaromil@dyne.org>
To: "Bernhard R. Link" <brlink@debian.org>, 292231-maintonly@bugs.debian.org
Subject: Re: Bug#292231: manpage looks not distributeable, as license not adhered
Date: Thu, 3 Feb 2005 10:22:42 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, Jan 25, 2005 at 09:48:00PM +0100, Bernhard R. Link wrote:
> Package: hasciicam
> Version: 0.9.1-1
> Severity: serious
> 
> The following manpages say they are only distributeable under
> the GFDL, but do not include the license text required by this
> license:
> 
> hasciicam.1.gz
> 
> This mass-filing of bugs was announced 2005-01-09 in my mail to 
> debian-devel and debian-legal:
> http://lists.debian.org/debian-devel/2005/01/msg00499.html
> http://lists.debian.org/debian-legal/2005/01/msg00262.html
> 
> Hochachtungsvoll,
> 	Bernhard R. Link

Hi Bernhard,

by following the discussion on the debian bugtracker, i finally agreed
with Christian Surchi's solution of keeping the original description and
adding a more informative phrase to it.

I hereby authorize Christian to adjust the license by removing the parts 
that aren't complying, i trust him on this having already discussed the
issue.

I'm sorry that i can't take direct action to fix this, but i'm currently
traveling thru India and have no means to promptly follow the issue, so
in case you need to hurry up please let Christian proceed to do what's
needed in order to keep Hasciicam redistributed in Debian GNU/Linux.

thanks for your attention,
LG

- -- 
 jaromil,  dyne.org rasta coder,  http://rastasoft.org

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Cryptographically signed mail, see http://gnupg.org

iD8DBQFCAe1hWLCC1ltubZcRAuKdAJ9UJmRUsDrwI9TT+9NResC9lQEnRQCfRJl0
XaWh11kK3cOqAuoGJddGpWc=
=WTbU
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@altern.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>. Full text and rfc822 format available.

Message #15 received at 292231@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@altern.org>
To: 292231@bugs.debian.org, control@bugs.debian.org
Subject: adds gfdl license
Date: Fri, 4 Feb 2005 18:04:21 +0000
[Message part 1 (text/plain, inline)]
tag 292231 patch
thanks

Hi 

jaromil, i am not sure what exactly you want to do with this manpage:
removing it or relicense it? in the mean time i added the complete text
of the gfdl so that the package can be redistributed in sarge.

cheers, piem

+hasciicam (0.9.1-1.1) unstable; urgency=low
+
+  * NMU
+  * Added complete GFDL text to debian/copyright and correct license
+    location to hasciicam.1 (closes: #292231)
+
+ -- Paul Brossier <piem@altern.org>  Fri,  4 Feb 2005 18:00:41 +0000
[hasciicam_0.9.1-1.1_NMU.diff (text/plain, attachment)]

Tags added: patch Request was from Paul Brossier <piem@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Paul Brossier <piem@altern.org>. Request was from Paul Brossier <piem@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Paul Brossier <piem@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@v7w.com>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #26 received at 292231@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@v7w.com>
To: 292231@bugs.debian.org
Subject: hasciicam_0.9.1-1.1.interdiff
Date: Sun, 6 Feb 2005 00:03:33 +1100
[Message part 1 (text/plain, inline)]
diff -u hasciicam-0.9.1/debian/changelog hasciicam-0.9.1/debian/changelog
--- hasciicam-0.9.1/debian/changelog
+++ hasciicam-0.9.1/debian/changelog
@@ -1,3 +1,11 @@
+hasciicam (0.9.1-1.1) unstable; urgency=low
+
+  * NMU
+  * Added complete GFDL text to debian/copyright and correct license
+    location to hasciicam.1 (closes: #292231)
+
+ -- Paul Brossier <piem@altern.org>  Fri,  4 Feb 2005 18:00:41 +0000
+
 hasciicam (0.9.1-1) unstable; urgency=low
 
   * New upstream version (Closes:#208544)
diff -u hasciicam-0.9.1/debian/copyright hasciicam-0.9.1/debian/copyright
--- hasciicam-0.9.1/debian/copyright
+++ hasciicam-0.9.1/debian/copyright
@@ -12,0 +13,406 @@
+========================================================================
+
+The hasciicam manpage is distributed under the terms of the GNU Free
+Documentation License, with the Invariant Sections being NAME, SYNOPSIS,
+DESCRIPTION, AUTHOR and with the Front-Cover Texts including "hasciicam -
+(h)ascii for the masses! - manual pages".
+
+________________________________________________________________________
+
+		GNU Free Documentation License
+		  Version 1.2, November 2002
+
+
+ Copyright (C) 2000,2001,2002  Free Software Foundation, Inc.
+     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+
+0. PREAMBLE
+
+The purpose of this License is to make a manual, textbook, or other
+functional and useful document "free" in the sense of freedom: to
+assure everyone the effective freedom to copy and redistribute it,
+with or without modifying it, either commercially or noncommercially.
+Secondarily, this License preserves for the author and publisher a way
+to get credit for their work, while not being considered responsible
+for modifications made by others.
+
+This License is a kind of "copyleft", which means that derivative
+works of the document must themselves be free in the same sense.  It
+complements the GNU General Public License, which is a copyleft
+license designed for free software.
+
+We have designed this License in order to use it for manuals for free
+software, because free software needs free documentation: a free
+program should come with manuals providing the same freedoms that the
+software does.  But this License is not limited to software manuals;
+it can be used for any textual work, regardless of subject matter or
+whether it is published as a printed book.  We recommend this License
+principally for works whose purpose is instruction or reference.
+
+
+1. APPLICABILITY AND DEFINITIONS
+
+This License applies to any manual or other work, in any medium, that
+contains a notice placed by the copyright holder saying it can be
+distributed under the terms of this License.  Such a notice grants a
+world-wide, royalty-free license, unlimited in duration, to use that
+work under the conditions stated herein.  The "Document", below,
+refers to any such manual or work.  Any member of the public is a
+licensee, and is addressed as "you".  You accept the license if you
+copy, modify or distribute the work in a way requiring permission
+under copyright law.
+
+A "Modified Version" of the Document means any work containing the
+Document or a portion of it, either copied verbatim, or with
+modifications and/or translated into another language.
+
+A "Secondary Section" is a named appendix or a front-matter section of
+the Document that deals exclusively with the relationship of the
+publishers or authors of the Document to the Document's overall subject
+(or to related matters) and contains nothing that could fall directly
+within that overall subject.  (Thus, if the Document is in part a
+textbook of mathematics, a Secondary Section may not explain any
+mathematics.)  The relationship could be a matter of historical
+connection with the subject or with related matters, or of legal,
+commercial, philosophical, ethical or political position regarding
+them.
+
+The "Invariant Sections" are certain Secondary Sections whose titles
+are designated, as being those of Invariant Sections, in the notice
+that says that the Document is released under this License.  If a
+section does not fit the above definition of Secondary then it is not
+allowed to be designated as Invariant.  The Document may contain zero
+Invariant Sections.  If the Document does not identify any Invariant
+Sections then there are none.
+
+The "Cover Texts" are certain short passages of text that are listed,
+as Front-Cover Texts or Back-Cover Texts, in the notice that says that
+the Document is released under this License.  A Front-Cover Text may
+be at most 5 words, and a Back-Cover Text may be at most 25 words.
+
+A "Transparent" copy of the Document means a machine-readable copy,
+represented in a format whose specification is available to the
+general public, that is suitable for revising the document
+straightforwardly with generic text editors or (for images composed of
+pixels) generic paint programs or (for drawings) some widely available
+drawing editor, and that is suitable for input to text formatters or
+for automatic translation to a variety of formats suitable for input
+to text formatters.  A copy made in an otherwise Transparent file
+format whose markup, or absence of markup, has been arranged to thwart
+or discourage subsequent modification by readers is not Transparent.
+An image format is not Transparent if used for any substantial amount
+of text.  A copy that is not "Transparent" is called "Opaque".
+
+Examples of suitable formats for Transparent copies include plain
+ASCII without markup, Texinfo input format, LaTeX input format, SGML
+or XML using a publicly available DTD, and standard-conforming simple
+HTML, PostScript or PDF designed for human modification.  Examples of
+transparent image formats include PNG, XCF and JPG.  Opaque formats
+include proprietary formats that can be read and edited only by
+proprietary word processors, SGML or XML for which the DTD and/or
+processing tools are not generally available, and the
+machine-generated HTML, PostScript or PDF produced by some word
+processors for output purposes only.
+
+The "Title Page" means, for a printed book, the title page itself,
+plus such following pages as are needed to hold, legibly, the material
+this License requires to appear in the title page.  For works in
+formats which do not have any title page as such, "Title Page" means
+the text near the most prominent appearance of the work's title,
+preceding the beginning of the body of the text.
+
+A section "Entitled XYZ" means a named subunit of the Document whose
+title either is precisely XYZ or contains XYZ in parentheses following
+text that translates XYZ in another language.  (Here XYZ stands for a
+specific section name mentioned below, such as "Acknowledgements",
+"Dedications", "Endorsements", or "History".)  To "Preserve the Title"
+of such a section when you modify the Document means that it remains a
+section "Entitled XYZ" according to this definition.
+
+The Document may include Warranty Disclaimers next to the notice which
+states that this License applies to the Document.  These Warranty
+Disclaimers are considered to be included by reference in this
+License, but only as regards disclaiming warranties: any other
+implication that these Warranty Disclaimers may have is void and has
+no effect on the meaning of this License.
+
+
+2. VERBATIM COPYING
+
+You may copy and distribute the Document in any medium, either
+commercially or noncommercially, provided that this License, the
+copyright notices, and the license notice saying this License applies
+to the Document are reproduced in all copies, and that you add no other
+conditions whatsoever to those of this License.  You may not use
+technical measures to obstruct or control the reading or further
+copying of the copies you make or distribute.  However, you may accept
+compensation in exchange for copies.  If you distribute a large enough
+number of copies you must also follow the conditions in section 3.
+
+You may also lend copies, under the same conditions stated above, and
+you may publicly display copies.
+
+
+3. COPYING IN QUANTITY
+
+If you publish printed copies (or copies in media that commonly have
+printed covers) of the Document, numbering more than 100, and the
+Document's license notice requires Cover Texts, you must enclose the
+copies in covers that carry, clearly and legibly, all these Cover
+Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on
+the back cover.  Both covers must also clearly and legibly identify
+you as the publisher of these copies.  The front cover must present
+the full title with all words of the title equally prominent and
+visible.  You may add other material on the covers in addition.
+Copying with changes limited to the covers, as long as they preserve
+the title of the Document and satisfy these conditions, can be treated
+as verbatim copying in other respects.
+
+If the required texts for either cover are too voluminous to fit
+legibly, you should put the first ones listed (as many as fit
+reasonably) on the actual cover, and continue the rest onto adjacent
+pages.
+
+If you publish or distribute Opaque copies of the Document numbering
+more than 100, you must either include a machine-readable Transparent
+copy along with each Opaque copy, or state in or with each Opaque copy
+a computer-network location from which the general network-using
+public has access to download using public-standard network protocols
+a complete Transparent copy of the Document, free of added material.
+If you use the latter option, you must take reasonably prudent steps,
+when you begin distribution of Opaque copies in quantity, to ensure
+that this Transparent copy will remain thus accessible at the stated
+location until at least one year after the last time you distribute an
+Opaque copy (directly or through your agents or retailers) of that
+edition to the public.
+
+It is requested, but not required, that you contact the authors of the
+Document well before redistributing any large number of copies, to give
+them a chance to provide you with an updated version of the Document.
+
+
+4. MODIFICATIONS
+
+You may copy and distribute a Modified Version of the Document under
+the conditions of sections 2 and 3 above, provided that you release
+the Modified Version under precisely this License, with the Modified
+Version filling the role of the Document, thus licensing distribution
+and modification of the Modified Version to whoever possesses a copy
+of it.  In addition, you must do these things in the Modified Version:
+
+A. Use in the Title Page (and on the covers, if any) a title distinct
+   from that of the Document, and from those of previous versions
+   (which should, if there were any, be listed in the History section
+   of the Document).  You may use the same title as a previous version
+   if the original publisher of that version gives permission.
+B. List on the Title Page, as authors, one or more persons or entities
+   responsible for authorship of the modifications in the Modified
+   Version, together with at least five of the principal authors of the
+   Document (all of its principal authors, if it has fewer than five),
+   unless they release you from this requirement.
+C. State on the Title page the name of the publisher of the
+   Modified Version, as the publisher.
+D. Preserve all the copyright notices of the Document.
+E. Add an appropriate copyright notice for your modifications
+   adjacent to the other copyright notices.
+F. Include, immediately after the copyright notices, a license notice
+   giving the public permission to use the Modified Version under the
+   terms of this License, in the form shown in the Addendum below.
+G. Preserve in that license notice the full lists of Invariant Sections
+   and required Cover Texts given in the Document's license notice.
+H. Include an unaltered copy of this License.
+I. Preserve the section Entitled "History", Preserve its Title, and add
+   to it an item stating at least the title, year, new authors, and
+   publisher of the Modified Version as given on the Title Page.  If
+   there is no section Entitled "History" in the Document, create one
+   stating the title, year, authors, and publisher of the Document as
+   given on its Title Page, then add an item describing the Modified
+   Version as stated in the previous sentence.
+J. Preserve the network location, if any, given in the Document for
+   public access to a Transparent copy of the Document, and likewise
+   the network locations given in the Document for previous versions
+   it was based on.  These may be placed in the "History" section.
+   You may omit a network location for a work that was published at
+   least four years before the Document itself, or if the original
+   publisher of the version it refers to gives permission.
+K. For any section Entitled "Acknowledgements" or "Dedications",
+   Preserve the Title of the section, and preserve in the section all
+   the substance and tone of each of the contributor acknowledgements
+   and/or dedications given therein.
+L. Preserve all the Invariant Sections of the Document,
+   unaltered in their text and in their titles.  Section numbers
+   or the equivalent are not considered part of the section titles.
+M. Delete any section Entitled "Endorsements".  Such a section
+   may not be included in the Modified Version.
+N. Do not retitle any existing section to be Entitled "Endorsements"
+   or to conflict in title with any Invariant Section.
+O. Preserve any Warranty Disclaimers.
+
+If the Modified Version includes new front-matter sections or
+appendices that qualify as Secondary Sections and contain no material
+copied from the Document, you may at your option designate some or all
+of these sections as invariant.  To do this, add their titles to the
+list of Invariant Sections in the Modified Version's license notice.
+These titles must be distinct from any other section titles.
+
+You may add a section Entitled "Endorsements", provided it contains
+nothing but endorsements of your Modified Version by various
+parties--for example, statements of peer review or that the text has
+been approved by an organization as the authoritative definition of a
+standard.
+
+You may add a passage of up to five words as a Front-Cover Text, and a
+passage of up to 25 words as a Back-Cover Text, to the end of the list
+of Cover Texts in the Modified Version.  Only one passage of
+Front-Cover Text and one of Back-Cover Text may be added by (or
+through arrangements made by) any one entity.  If the Document already
+includes a cover text for the same cover, previously added by you or
+by arrangement made by the same entity you are acting on behalf of,
+you may not add another; but you may replace the old one, on explicit
+permission from the previous publisher that added the old one.
+
+The author(s) and publisher(s) of the Document do not by this License
+give permission to use their names for publicity for or to assert or
+imply endorsement of any Modified Version.
+
+
+5. COMBINING DOCUMENTS
+
+You may combine the Document with other documents released under this
+License, under the terms defined in section 4 above for modified
+versions, provided that you include in the combination all of the
+Invariant Sections of all of the original documents, unmodified, and
+list them all as Invariant Sections of your combined work in its
+license notice, and that you preserve all their Warranty Disclaimers.
+
+The combined work need only contain one copy of this License, and
+multiple identical Invariant Sections may be replaced with a single
+copy.  If there are multiple Invariant Sections with the same name but
+different contents, make the title of each such section unique by
+adding at the end of it, in parentheses, the name of the original
+author or publisher of that section if known, or else a unique number.
+Make the same adjustment to the section titles in the list of
+Invariant Sections in the license notice of the combined work.
+
+In the combination, you must combine any sections Entitled "History"
+in the various original documents, forming one section Entitled
+"History"; likewise combine any sections Entitled "Acknowledgements",
+and any sections Entitled "Dedications".  You must delete all sections
+Entitled "Endorsements".
+
+
+6. COLLECTIONS OF DOCUMENTS
+
+You may make a collection consisting of the Document and other documents
+released under this License, and replace the individual copies of this
+License in the various documents with a single copy that is included in
+the collection, provided that you follow the rules of this License for
+verbatim copying of each of the documents in all other respects.
+
+You may extract a single document from such a collection, and distribute
+it individually under this License, provided you insert a copy of this
+License into the extracted document, and follow this License in all
+other respects regarding verbatim copying of that document.
+
+
+7. AGGREGATION WITH INDEPENDENT WORKS
+
+A compilation of the Document or its derivatives with other separate
+and independent documents or works, in or on a volume of a storage or
+distribution medium, is called an "aggregate" if the copyright
+resulting from the compilation is not used to limit the legal rights
+of the compilation's users beyond what the individual works permit.
+When the Document is included in an aggregate, this License does not
+apply to the other works in the aggregate which are not themselves
+derivative works of the Document.
+
+If the Cover Text requirement of section 3 is applicable to these
+copies of the Document, then if the Document is less than one half of
+the entire aggregate, the Document's Cover Texts may be placed on
+covers that bracket the Document within the aggregate, or the
+electronic equivalent of covers if the Document is in electronic form.
+Otherwise they must appear on printed covers that bracket the whole
+aggregate.
+
+
+8. TRANSLATION
+
+Translation is considered a kind of modification, so you may
+distribute translations of the Document under the terms of section 4.
+Replacing Invariant Sections with translations requires special
+permission from their copyright holders, but you may include
+translations of some or all Invariant Sections in addition to the
+original versions of these Invariant Sections.  You may include a
+translation of this License, and all the license notices in the
+Document, and any Warranty Disclaimers, provided that you also include
+the original English version of this License and the original versions
+of those notices and disclaimers.  In case of a disagreement between
+the translation and the original version of this License or a notice
+or disclaimer, the original version will prevail.
+
+If a section in the Document is Entitled "Acknowledgements",
+"Dedications", or "History", the requirement (section 4) to Preserve
+its Title (section 1) will typically require changing the actual
+title.
+
+
+9. TERMINATION
+
+You may not copy, modify, sublicense, or distribute the Document except
+as expressly provided for under this License.  Any other attempt to
+copy, modify, sublicense or distribute the Document is void, and will
+automatically terminate your rights under this License.  However,
+parties who have received copies, or rights, from you under this
+License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+
+10. FUTURE REVISIONS OF THIS LICENSE
+
+The Free Software Foundation may publish new, revised versions
+of the GNU Free Documentation License from time to time.  Such new
+versions will be similar in spirit to the present version, but may
+differ in detail to address new problems or concerns.  See
+http://www.gnu.org/copyleft/.
+
+Each version of the License is given a distinguishing version number.
+If the Document specifies that a particular numbered version of this
+License "or any later version" applies to it, you have the option of
+following the terms and conditions either of that specified version or
+of any later version that has been published (not as a draft) by the
+Free Software Foundation.  If the Document does not specify a version
+number of this License, you may choose any version ever published (not
+as a draft) by the Free Software Foundation.
+
+
+ADDENDUM: How to use this License for your documents
+
+To use this License in a document you have written, include a copy of
+the License in the document and put the following copyright and
+license notices just after the title page:
+
+    Copyright (c)  YEAR  YOUR NAME.
+    Permission is granted to copy, distribute and/or modify this document
+    under the terms of the GNU Free Documentation License, Version 1.2
+    or any later version published by the Free Software Foundation;
+    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
+    A copy of the license is included in the section entitled "GNU
+    Free Documentation License".
+
+If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts,
+replace the "with...Texts." line with this:
+
+    with the Invariant Sections being LIST THEIR TITLES, with the
+    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.
+
+If you have Invariant Sections without Cover Texts, or some other
+combination of the three, merge those two alternatives to suit the
+situation.
+
+If your document contains nontrivial examples of program code, we
+recommend releasing these examples in parallel under your choice of
+free software license, such as the GNU General Public License,
+to permit their use in free software.
only in patch2:
unchanged:
--- hasciicam-0.9.1.orig/hasciicam.1
+++ hasciicam-0.9.1/hasciicam.1
@@ -112,6 +112,13 @@
 Copyright (c) 2001 jaromil@dyne.org
 .br
 Permission is granted to copy, distribute and/or modify this manual under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being NAME, SYNOPSIS, DESCRIPTION, AUTHOR and with the Front-Cover Texts including "hasciicam - (h)ascii for the masses! - manual pages". Permission is granted to make and distribute verbatim copies of this manual page provided the above copyright notice and this permission notice are preserved on all copies.
+.PP
+The full text of the GNU Free Documentation License can be found in 
+in this package in the file \fI/usr/share/doc/hasciicam/copyright\fP.
+.ig
+A copy of the GNU Free Documentation License is available in the
+Debian source package in the file debian/copyright.
+..
 .SH AVAILABILITY
 The most recent version of hasciicam sourcecode is always available for download from \fIhttp://ascii.dyne.org\fR.
 .SH SEE ALSO


Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux
: :' : Free Operating System
`. `'  http://debian.org/
  `-   http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #31 received at 292231@bugs.debian.org (full text, mbox):

From: jaromil <jaromil@dyne.org>
To: Paul Brossier <piem@altern.org>, 292231@bugs.debian.org
Subject: Re: Bug#292231: adds gfdl license
Date: Tue, 8 Feb 2005 06:51:52 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Fri, Feb 04, 2005 at 06:04:21PM +0000, Paul Brossier wrote:
> tag 292231 patch
> thanks
> 
> Hi 
> 
> jaromil, i am not sure what exactly you want to do with this manpage:
> removing it or relicense it? in the mean time i added the complete text
> of the gfdl so that the package can be redistributed in sarge.

thanks Paul,

i intend to relicense it to conform the standards of free software you
adopt in Debian, the relicensing will propagate in the upstream
distributed source - just let me know what should be changed exactly.

in two days i'll be back home and more notably sitting on a steady
connection, then i guess it will be a matter of minutes.

thanks again for your assistance, greetings

- -- 
 jaromil,  dyne.org rasta coder,  http://rastasoft.org

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Cryptographically signed mail, see http://gnupg.org

iD8DBQFCCFN3WLCC1ltubZcRArIDAKCTtuPFb+E4NA7VYVubBOhCJVJvxwCgvyxh
q7ZZjEY/YWOjuI0GKOuM9cY=
=3lEp
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@altern.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>. Full text and rfc822 format available.

Message #36 received at 292231@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@altern.org>
To: jaromil <jaromil@dyne.org>
Cc: 292231@bugs.debian.org
Subject: Re: Bug#292231: adds gfdl license
Date: Tue, 8 Feb 2005 17:34:11 +0000
On Tue, Feb 08, 2005 at 06:51:52AM +0100, jaromil wrote:
> On Fri, Feb 04, 2005 at 06:04:21PM +0000, Paul Brossier wrote:
> > tag 292231 patch
> > thanks
> > 
> > Hi 
> > 
> > jaromil, i am not sure what exactly you want to do with this manpage:
> > removing it or relicense it? in the mean time i added the complete text
> > of the gfdl so that the package can be redistributed in sarge.
> 
> thanks Paul,
> 
> i intend to relicense it to conform the standards of free software you
> adopt in Debian, the relicensing will propagate in the upstream
> distributed source - just let me know what should be changed exactly.

Simply relicensing hasciicam.1 under the GPL will do. You could
then ask Christian to remove the GFDL from debian/copyright.

Best wishes, paul




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #41 received at 292231@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 292231@bugs.debian.org
Subject: The use of the GFDL in the manpage is not compliant with the DFSG
Date: Mon, 26 Sep 2005 00:24:22 -0700
[Message part 1 (text/plain, inline)]
tag 292231 -fixed
retitle 292231 [NONFREE-DOC:GFDL1.1] making the entire manpage invariant is not consistent with the DFSG
thanks

The issues with the GFDL aside, declaring the entire manpage invariant
is not consistent with the DFSG. This manpage needs to be relicenced
under the GPL as suggested (or jettisoned.)

    Permission is granted to copy, distribute and/or modify this
    manual under the terms of the GNU Free Documentation License,
    Version 1.1 or any later version published by the Free Software
    Foundation; with the Invariant Sections being NAME, SYNOPSIS,
    DESCRIPTION, AUTHOR and with the Front-Cover Texts including
    "hasciicam - (h)ascii for the masses! - manual pages". Permission
    is granted to make and distribute verbatim copies of this manual
    page provided the above copyright notice and this permission
    notice are preserved on all copies.


Don Armstrong

-- 
You could say she lived on the edge... Well, maybe not exactly on the edge,
just close enough to watch other people fall off.
  -- hugh macleod http://www.gapingvoid.com/batch8.htm

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Tags removed: fixed Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #50 received at 292231@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Jaromil <jaromil@dyne.org>, Christian Surchi <csurchi@debian.org>
Cc: 292231@bugs.debian.org
Subject: Resolution of #292231 [Manpage of hasciicam]
Date: Wed, 22 Feb 2006 02:03:57 -0800
[Message part 1 (text/plain, inline)]
Greetings; I NMUed hasciicam to fix an RC bug that was holding up a
package transition in Debian. In the process of making this NMU, I
discovered that the package contained a GFDLed manual which was
declared invariant in its entirety.

I'm not sure who is actually the holder of the copyright on this
manual, but I plan on requesting hasciicam's removal from the archive
within the next week unless this can be resolved, ideally by licensing
the manpage under the GPL or whatever license hasciicam is currently
under.

If you have any questions, please feel free to contact me.

Christian: If you no longer have time to maintain this package (I
notice that you have multiple unack'ed NMUs) kindly indicate that it
has been orphaned by filing the appropriate bug against the wnpp
package.


Don Armstrong

-- 
THERE IS NO GRAVITY THE WORLD SUCKS
 -- Vietnam War Penquin Lighter
http://gallery.donarmstrong.com/clippings/vietnam_there_is_no_gravity.jpg

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #55 received at 292231@bugs.debian.org (full text, mbox):

From: jaromil <jaromil@dyne.org>
To: Don Armstrong <don@debian.org>
Cc: 292231@bugs.debian.org, csurchi@debian.org
Subject: Re: Resolution of #292231 [Manpage of hasciicam]
Date: Thu, 23 Feb 2006 13:40:33 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wed, Feb 22, 2006 at 02:03:57AM -0800, Don Armstrong wrote:
> Greetings; I NMUed hasciicam to fix an RC bug that was holding up a
> package transition in Debian. In the process of making this NMU, I
> discovered that the package contained a GFDLed manual which was
> declared invariant in its entirety.
> 
> I'm not sure who is actually the holder of the copyright on this
> manual, but I plan on requesting hasciicam's removal from the archive
> within the next week unless this can be resolved, ideally by licensing
> the manpage under the GPL or whatever license hasciicam is currently
> under.
> 
> If you have any questions, please feel free to contact me.
> 
> Christian: If you no longer have time to maintain this package (I
> notice that you have multiple unack'ed NMUs) kindly indicate that it
> has been orphaned by filing the appropriate bug against the wnpp
> package.


hi,

i changed the GFDL of the manpage after a discussion that should be
still archived somewhere in your bug tracker.

Since Apr 18 11:49:35 2005 UTC (10 months ago) hasciicam has a manual
with NO INVARIANTS, see:

http://code.dyne.org/viewcvs.cgi/hasciicam/hasciicam/hasciicam.1?rev=548&root=rastasoft&content-type=text/vnd.viewcvs-markup

and

http://code.dyne.org/viewcvs.cgi/hasciicam/hasciicam/hasciicam.1?root=rastasoft

thanks for your attention to details, ciao

- -- 
 jaromil,  dyne.org rasta coder,  http://afrolinux.org

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Cryptographically signed mail, see http://gnupg.org

iD8DBQFD/a1Be2QxhLU0C14RAkNWAJ9LevSKOmBujOpGNraaYzc8Cki2rQCgsCUZ
4qmJ+M6dpxjoRrozhGbZE4g=
=qV7M
-----END PGP SIGNATURE-----



Tags removed: patch Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #64 received at 292231@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: 292231@bugs.debian.org
Subject: diff for 0.9.1-1.3 NMU
Date: Mon, 5 Jun 2006 13:05:39 +0200
[Message part 1 (text/plain, inline)]
Hi,

Attached is the diff for my hasciicam 0.9.1-1.3 NMU.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[hasciicam-0.9.1-1.3-nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christian Surchi <csurchi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Bernhard R. Link" <brlink@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #71 received at 292231-close@bugs.debian.org (full text, mbox):

From: Christian Surchi <csurchi@debian.org>
To: 292231-close@bugs.debian.org
Subject: Bug#292231: fixed in hasciicam 0.9.1-2
Date: Mon, 24 Jul 2006 03:22:24 -0700
Source: hasciicam
Source-Version: 0.9.1-2

We believe that the bug you reported is fixed in the latest version of
hasciicam, which is due to be installed in the Debian FTP archive:

hasciicam_0.9.1-2.diff.gz
  to pool/main/h/hasciicam/hasciicam_0.9.1-2.diff.gz
hasciicam_0.9.1-2.dsc
  to pool/main/h/hasciicam/hasciicam_0.9.1-2.dsc
hasciicam_0.9.1-2_i386.deb
  to pool/main/h/hasciicam/hasciicam_0.9.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292231@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Surchi <csurchi@debian.org> (supplier of updated hasciicam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Jul 2006 22:57:23 +0200
Source: hasciicam
Binary: hasciicam
Architecture: source i386
Version: 0.9.1-2
Distribution: unstable
Urgency: low
Maintainer: Christian Surchi <csurchi@debian.org>
Changed-By: Christian Surchi <csurchi@debian.org>
Description: 
 hasciicam  - (h)ascii for the masses: live video as text
Closes: 292231 320885
Changes: 
 hasciicam (0.9.1-2) unstable; urgency=low
 .
   * Ack to close NMU fixed bugs:
     - nonfree man page (Closes: #292231)
     - aalib transition (Closes: #320885)
   * Enhanced short description (Closes: ##283717, #344208)
Files: 
 eef3ccdc2349a38d988a7f9ec98eb1a6 600 graphics optional hasciicam_0.9.1-2.dsc
 78b5b2055c228176b3700d726149dfa6 9772 graphics optional hasciicam_0.9.1-2.diff.gz
 12f6936e24934adf44fe8b42b0828849 29438 graphics optional hasciicam_0.9.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFEw+rsDP8w4SYle2gRAttHAJ95xX3beYFscHRfdGLVkYgQqzcZfgCfYml2
hFmKa86IVnMmhDUZO9cbN2I=
=8tGS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #76 received at 292231@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 292231@bugs.debian.org, control@bugs.debian.org
Subject: This bug does not seem to be fixed
Date: Sat, 5 Aug 2006 23:23:01 +0200
[Message part 1 (text/plain, inline)]
found 292231 0.9.1-2
thanks

I don't understand the resolution of this bug: the package includes (or
used to include?) a GFDLed manpage with Invariant Sections (or rather,
marked as entirely invariant).
Upstream has shown to be willing to relicense the manpage "to conform
the standards of free software you adopt in Debian", there have been
NMUs and then the maintainer acked the NMUs, closing the bug.
But, according to the debian/copyright of the "fixed" version[1], the
manpage is still GFDLed with Invariant Sections.

| The hasciicam manpage is distributed under the terms of the GNU Free
| Documentation License, with the Invariant Sections being NAME,
| SYNOPSIS, DESCRIPTION, AUTHOR and with the Front-Cover Texts including
| "hasciicam - (h)ascii for the masses! - manual pages".

This situation does not comply with the DFSG.
Why wasn't the manpage relicensed under the GPLv2?
Is the current debian/copyright accurate?

[1]
http://packages.debian.org/changelogs/pool/main/h/hasciicam/hasciicam_0.9.1-2/hasciicam.copyright


-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug marked as found in version 0.9.1-2. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Francesco Poli <frx@firenze.linux.it>. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Christian Surchi <csurchi@debian.org>:
Extra info received and forwarded to list. Copy sent to Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #85 received at 292231@bugs.debian.org (full text, mbox):

From: Christian Surchi <csurchi@debian.org>
To: Francesco Poli <frx@firenze.linux.it>, Paul Brossier <piem@altern.org>
Cc: 292231@bugs.debian.org
Subject: Re: Processed: The found command didn't reopen the bug
Date: Sun, 13 Aug 2006 03:44:32 +0200
[Message part 1 (text/plain, inline)]
You are right, sorry.
I saw old messages talking about a NMU, but it wasn't uploaded then, so
I ACKed a not fixed package.

Soon I'll upload new hasciicam, much better webcam support and no
problem with GFDL. 

Thanks
Christian

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #90 received at 292231@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Christian Surchi <csurchi@debian.org>
Cc: piem@altern.org, 292231@bugs.debian.org
Subject: Re: Processed: The found command didn't reopen the bug
Date: Mon, 14 Aug 2006 21:29:18 +0200
[Message part 1 (text/plain, inline)]
On Sun, 13 Aug 2006 03:44:32 +0200 Christian Surchi wrote:

> You are right, sorry.
> I saw old messages talking about a NMU, but it wasn't uploaded then,
> so I ACKed a not fixed package.
> 
> Soon I'll upload new hasciicam, much better webcam support and no
> problem with GFDL. 

Good, I'm looking forward to seeing the new version with a DFSG-free
manpage!

-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug marked as fixed in version 0.9.1-1.1, send any further explanations to Francesco Poli <frx@firenze.linux.it> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Francesco Poli <frx@firenze.linux.it>:
Bug#292231. Full text and rfc822 format available.

Message #95 received at 292231-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 289039-submitter@bugs.debian.org, 289732-submitter@bugs.debian.org, 289794-submitter@bugs.debian.org, 290268-submitter@bugs.debian.org, 290329-submitter@bugs.debian.org, 292225-submitter@bugs.debian.org, 292317-submitter@bugs.debian.org, 292227-submitter@bugs.debian.org, 292231-submitter@bugs.debian.org, 292234-submitter@bugs.debian.org, 292236-submitter@bugs.debian.org, 292337-submitter@bugs.debian.org, 292565-submitter@bugs.debian.org, 292953-submitter@bugs.debian.org, 334124-submitter@bugs.debian.org, 292956-submitter@bugs.debian.org, 293999-submitter@bugs.debian.org, 294007-submitter@bugs.debian.org, 232556-submitter@bugs.debian.org, 243794-submitter@bugs.debian.org, 261752-submitter@bugs.debian.org, 281194-submitter@bugs.debian.org, 289003-submitter@bugs.debian.org, 294623-submitter@bugs.debian.org, 309346-submitter@bugs.debian.org, 295624-submitter@bugs.debian.org, 296370-submitter@bugs.debian.org, 296440-submitter@bugs.debian.org, 296509-submitter@bugs.debian.org, 296370-submitter@bugs.debian.org, 297738-submitter@bugs.debian.org, 297844-submitter@bugs.debian.org, 298809-submitter@bugs.debian.org, 298848-submitter@bugs.debian.org, 300270-submitter@bugs.debian.org, 300424-submitter@bugs.debian.org, 300439-submitter@bugs.debian.org, 300446-submitter@bugs.debian.org, 301332-submitter@bugs.debian.org, 301672-submitter@bugs.debian.org, 302092-submitter@bugs.debian.org, 362178-submitter@bugs.debian.org, 302440-submitter@bugs.debian.org, 302561-submitter@bugs.debian.org, 303326-submitter@bugs.debian.org, 322884-submitter@bugs.debian.org, 303327-submitter@bugs.debian.org, 304050-submitter@bugs.debian.org, 304370-submitter@bugs.debian.org, 304882-submitter@bugs.debian.org, 305163-submitter@bugs.debian.org, 305412-submitter@bugs.debian.org, 307706-submitter@bugs.debian.org, 305524-submitter@bugs.debian.org, 306173-submitter@bugs.debian.org, 306265-submitter@bugs.debian.org, 307042-submitter@bugs.debian.org, 307103-submitter@bugs.debian.org, 307122-submitter@bugs.debian.org, 307708-submitter@bugs.debian.org, 307794-submitter@bugs.debian.org, 308014-submitter@bugs.debian.org, 308411-submitter@bugs.debian.org, 308586-submitter@bugs.debian.org, 308708-submitter@bugs.debian.org, 314107-submitter@bugs.debian.org, 344039-submitter@bugs.debian.org, 344299-submitter@bugs.debian.org, 308755-submitter@bugs.debian.org, 308851-submitter@bugs.debian.org, 308997-submitter@bugs.debian.org, 309004-submitter@bugs.debian.org, 309049-submitter@bugs.debian.org, 297963-submitter@bugs.debian.org, 309093-submitter@bugs.debian.org, 307824-submitter@bugs.debian.org, 309495-submitter@bugs.debian.org, 311123-submitter@bugs.debian.org, 313035-submitter@bugs.debian.org, 313036-submitter@bugs.debian.org, 315821-submitter@bugs.debian.org, 317855-submitter@bugs.debian.org, 318741-submitter@bugs.debian.org, 321681-submitter@bugs.debian.org, 321683-submitter@bugs.debian.org, 321714-submitter@bugs.debian.org, 323211-submitter@bugs.debian.org, 325769-submitter@bugs.debian.org, 327763-submitter@bugs.debian.org, 309760-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 19:18:58 +0100
# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
#relevant version information now

close 289039 1:1.18-2.1
close 289732 1.2-9.2
close 289794 1.8-1.2
close 290268 20020210-0.2
close 290329 0.1.81.1
close 292225 0.4.7-1.1
close 292317 0.4.7-1.1
close 292227 0.4.5-7.1
close 292231 0.9.1-1.1
close 292234 3.7.1-3.1
close 292236 0.5.0.0.20050115-1.1
close 292337 3.4.10-3.2
close 292565 2.0.14-2.1
close 292953 0.60.3-7.2
close 334124 0.60.3-7.2
close 292956 4.19
close 293999 1.1-1.1
close 294007 3:4.3.10-0.1
close 232556 1.2.11-0.1
close 243794 1.2.11-0.1
close 261752 1.2.11-0.1
close 281194 1.2.11-0.1
close 289003 1.2.11-0.1
close 294623 1.2.11-0.1
close 309346 1.2.11-0.1
close 295624 2.4.27-1.1
close 296370 0.94.14rc20-1.2
close 296440 0.94.14rc20-1.1
close 296509 0.35-2.2
close 296370 0.94.14rc20-1.2
close 297738 1.1-2.1
close 297844 1.1.3-6.1
close 298809 1.0.3-1.1
close 298848 2.0.12-1.2
close 300270 2.1-1.1
close 300424 3:2.6.3-1.1
close 300439 3.5-1.1
close 300446 0.6.0-3
close 301332 1.3.1-5.1
close 301672 3.1.5-6.1
close 302092 1.1rc4-2.1
close 362178 1.1rc4-2.1
close 302440 20050316-2
close 302561 5.15.3-3.1
close 303326 0.5-4.1
close 322884 0.5-4.1
close 303327 1.2.13-1.1
close 304050 0.82-5.1
close 304370 0.4.3-1
close 304882 1.0-2.1
close 305163 1.0.5-5.1
close 305412 1.21alpha2-2.1
close 307706 1.21alpha2-2.1
close 305524 1.0.9-7.1
close 306173 5.85-3.1
close 306265 1.1-beta6-2.1
close 307042 1.0.1-1.1
close 307103 20031214-1.1
close 307122 0.5.17-11.1
close 307708 0.14.3-1.1
close 307794 2.2.14-1.1
close 308014 1.0.5-5.2
close 308411 0.0.20040806-1.1
close 308586 0.6.16.2
close 308708 1.4pre.20050518-0.1
close 314107 1.4pre.20050518-0.1
close 344039 1.4pre.20050518-0.1
close 344299 1.4pre.20050518-0.1
close 308755 2.02-7.1
close 308851 3.1.5-6.3
close 308997 4.5-1.2
close 309004 8.3.5-4.1
close 309049 0.98.38-1.2
close 297963 0.5.2-2
close 309093 0.5.2-2
close 307824 00.02.39-7.1
close 309495 00.02.39-7.1
close 311123 00.02.39-7.1
close 313035 00.02.39-7.1
close 313036 00.02.39-7.1
close 315821 00.02.39-7.1
close 317855 00.02.39-7.1
close 318741 00.02.39-7.1
close 321681 00.02.39-7.1
close 321683 00.02.39-7.1
close 321714 00.02.39-7.1
close 323211 00.02.39-7.1
close 325769 00.02.39-7.1
close 327763 00.02.39-7.1
close 309760 1:5.13-2.1



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #100 received at 292231@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 292231@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#292231 acknowledged by developer (Bugs fixed in NMU, documenting versions)
Date: Mon, 23 Oct 2006 00:35:08 +0200
[Message part 1 (text/plain, inline)]
found 292231 0.9.1-2
thanks


On Sun, 22 Oct 2006 11:33:32 -0700 Debian Bug Tracking System wrote:

> This is an automatic notification regarding your Bug report
> #292231: [NONFREE-DOC:GFDL1.1] making the entire manpage invariant is
> #not consistent with the DFSG,
> which was filed against the hasciicam package.
> 
> It has been marked as closed by one of the developers, namely
> "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>.
[...]

The problem is still unfixed...

Upstream has shown to be willing to relicense the manpage "to conform
the standards of free software you adopt in Debian".
But, according to the debian/copyright of the current (0.9.1-2) version,
the manpage is still GFDLed with Invariant Sections.

The Debian maintainer stated that he would soon upload a new improved
version with a relicensed manpage, but this has not yet happened.

Hence, this bug should still be considered open.
See the bug log, for further details.

-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug marked as found in version 0.9.1-2. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Francesco Poli <frx@firenze.linux.it>. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Damián Viano <debian@damianv.com.ar>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #111 received at 292231@bugs.debian.org (full text, mbox):

From: Damián Viano <debian@damianv.com.ar>
To: 292231@bugs.debian.org
Subject: hasciicam 1.0 was released by upstream with manpage under GFDL without invariant sections
Date: Sun, 5 Nov 2006 11:22:50 -0300
Hi,

Hasciicam 1.0 was released by upstream with manpage under GFDL without
invariant sections.

This is not very announced in the webpage, the no-changelog policy
doesn't help either, but downloading the new tar and checking the
manpage reveals that, in fact,  the cooperative upstream did change the
licensing

So an upload of the new 1.0 version should close this RC, so please
Christian Surchi, let us know if you don't have time to package the new
version and allow a NMU of such version.

Hope to help,

-- 
Damián Viano(Des)              ¯ ¯ - _           _ - ¯ ¯
GPG: 0x6EB95A6F                 Debian ¯-_GNU_-¯ Linux
Web: http://damianv.com.ar/               ¯-¯



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>:
Bug#292231; Package hasciicam. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Surchi <csurchi@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #116 received at 292231@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Damián Viano <debian@damianv.com.ar>, 292231@bugs.debian.org
Subject: Re: Bug#292231: hasciicam 1.0 was released by upstream with manpage under GFDL without invariant sections
Date: Sun, 5 Nov 2006 18:14:19 -0800
tags 292231 etch-ignore
thanks

On Sun, Nov 05, 2006 at 11:22:50AM -0300, Damián Viano wrote:

> Hasciicam 1.0 was released by upstream with manpage under GFDL without
> invariant sections.

> This is not very announced in the webpage, the no-changelog policy
> doesn't help either, but downloading the new tar and checking the
> manpage reveals that, in fact,  the cooperative upstream did change the
> licensing

> So an upload of the new 1.0 version should close this RC, so please
> Christian Surchi, let us know if you don't have time to package the new
> version and allow a NMU of such version.

As a result, my current understanding of the state of this bug is that: the
debian/copyright file for the package does correctly list *a* set of license
terms for the software, even if they're not the license terms that we want
to be distributing the software under in order to comply with the DFSG; and
the work (or a newer version of it from the same copyright holder) is
available upstream under a DFSG-free license.

The first bug is an important bug, rather than a serious bug; the second one
qualifies for an etch-ignore tag.  So I'm adding that tag now.  Please let
me know if I've misunderstood some detail of this package's situation (or
just upload the bugfix so I don't have to worry about it ;).

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: etch-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Francesco Poli <frx@firenze.linux.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #125 received at 292231-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 292231-close@bugs.debian.org
Subject: Bug#292231: fixed in hasciicam 0.9.1-2.1
Date: Wed, 06 Aug 2008 06:02:04 +0000
Source: hasciicam
Source-Version: 0.9.1-2.1

We believe that the bug you reported is fixed in the latest version of
hasciicam, which is due to be installed in the Debian FTP archive:

hasciicam_0.9.1-2.1.diff.gz
  to pool/main/h/hasciicam/hasciicam_0.9.1-2.1.diff.gz
hasciicam_0.9.1-2.1.dsc
  to pool/main/h/hasciicam/hasciicam_0.9.1-2.1.dsc
hasciicam_0.9.1-2.1_amd64.deb
  to pool/main/h/hasciicam/hasciicam_0.9.1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292231@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated hasciicam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Aug 2008 07:27:18 +0200
Source: hasciicam
Binary: hasciicam
Architecture: source amd64
Version: 0.9.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Christian Surchi <csurchi@debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 hasciicam  - (h)ascii for the masses: live video as text
Closes: 292231
Changes: 
 hasciicam (0.9.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug
   * The manual page hasciicam.1 is also licensed under GFDL without
     invariant sections. Add a note about this in debian/copyright
     (Closes: #292231). Point to common-licenses GFDL copy.
Checksums-Sha1: 
 3b34ef9d756cff60757e1a999c28997eb2335f8a 1000 hasciicam_0.9.1-2.1.dsc
 3e18457a82ea89b3320e643504d513b88fb47f3b 2959 hasciicam_0.9.1-2.1.diff.gz
 1dd31416f663609693b79b534359c9cdea2bf7aa 24302 hasciicam_0.9.1-2.1_amd64.deb
Checksums-Sha256: 
 06eef9d2ec76308cfa73df1cf22845dc213bffe1617aa41d6c74277fda16e9f0 1000 hasciicam_0.9.1-2.1.dsc
 466b88d3b385a0277b1779720228632eca8eeb00c647c80a7180ca52c5ee886e 2959 hasciicam_0.9.1-2.1.diff.gz
 653349bd9d9c53a68b69353ec0f2da99cff9bfea8b3349a16e61ca467883fe9e 24302 hasciicam_0.9.1-2.1_amd64.deb
Files: 
 fdd8d0ca29aa24f3c7e5b658a6de997a 1000 graphics optional hasciicam_0.9.1-2.1.dsc
 4dd131459ef7848d0cdbe902ec7df919 2959 graphics optional hasciicam_0.9.1-2.1.diff.gz
 0d8ed6a3713d9fb0ce721902fe73d2bc 24302 graphics optional hasciicam_0.9.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiZOnAACgkQKFvXofIqeU7GqQCgmUiWsjMhmJua38XNlNHi+jsC
8/UAn0VyMZ3sk8wlKkdscoc2fI8MwgLx
=xjcN
-----END PGP SIGNATURE-----





Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. (Fri, 23 Jan 2009 17:12:09 GMT) Full text and rfc822 format available.

Notification sent to Francesco Poli <frx@firenze.linux.it>:
Bug acknowledged by developer. (Fri, 23 Jan 2009 17:12:09 GMT) Full text and rfc822 format available.

Message #130 received at 292231-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 292231-close@bugs.debian.org
Subject: Bug#292231: fixed in hasciicam 1.0-1
Date: Fri, 23 Jan 2009 16:47:03 +0000
Source: hasciicam
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
hasciicam, which is due to be installed in the Debian FTP archive:

hasciicam_1.0-1.diff.gz
  to pool/main/h/hasciicam/hasciicam_1.0-1.diff.gz
hasciicam_1.0-1.dsc
  to pool/main/h/hasciicam/hasciicam_1.0-1.dsc
hasciicam_1.0-1_amd64.deb
  to pool/main/h/hasciicam/hasciicam_1.0-1_amd64.deb
hasciicam_1.0.orig.tar.gz
  to pool/main/h/hasciicam/hasciicam_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292231@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated hasciicam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Jan 2009 23:12:40 +0100
Source: hasciicam
Binary: hasciicam
Architecture: source amd64
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Luca Bigliardi <shammash@artha.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 hasciicam  - (h)ascii for the masses: live video as text
Closes: 278912 292231
Changes: 
 hasciicam (1.0-1) unstable; urgency=low
 .
   [ Luca Bigliardi ]
   * New upstream release (Closes: #278912).
   * Add myself as Maintainer and jaromil and filippo in 'Uploaders:'.
   * Switch to cdbs.
   * Change menu section.
   * Bump debian/compat to 5.
   * Bump Standards-Version to 3.8.0.1.
 .
   [ Filippo Giunchedi ]
   * Change of maintainer with permission from Christian
   * Add DM-Upload-Allowed: yes
   * Add ${misc:Depends} to debian/control
   * Acknowledge NMU (Closes: #292231)
Checksums-Sha1: 
 b52914fc2f31e5f431df811f3139cfbe2e452ac4 1207 hasciicam_1.0-1.dsc
 ae4979fbbb5f7fa5ec8bbdc4e8afd54c8d48e4ce 122702 hasciicam_1.0.orig.tar.gz
 825e2e8d4a9f6d89468d8fe2dab88fa9b8eb7242 2182 hasciicam_1.0-1.diff.gz
 8792f0d8be3564177838c926a002f6472c511df0 24364 hasciicam_1.0-1_amd64.deb
Checksums-Sha256: 
 330336404427fab25b71c48648441fcfadf9dafe410d86452c06347fbcb7bb61 1207 hasciicam_1.0-1.dsc
 9c4662c0f5de35b397ea5012883e0ebb1a867ddc58a57b78a9c5314a37777bc2 122702 hasciicam_1.0.orig.tar.gz
 941b7d9a70b1a79a84d0778ebf1432af3ee8d39601fb4aa22929f0d01f13f4e3 2182 hasciicam_1.0-1.diff.gz
 e87b58a41021a06b5f4fd0e7100ee22524ce9990bf97c38f7567fb20b90ed4e0 24364 hasciicam_1.0-1_amd64.deb
Files: 
 b54e7d1a6cc0e2c7ae0ac3808d67983b 1207 graphics optional hasciicam_1.0-1.dsc
 bb880cecdf90ff85182fda266d6a9c45 122702 graphics optional hasciicam_1.0.orig.tar.gz
 74bd459dbe626ad704dbb50aa77ede0d 2182 graphics optional hasciicam_1.0-1.diff.gz
 2a3392a5f972aa1f8247d9015e685828 24364 graphics optional hasciicam_1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl48NkACgkQABzeamt51AFCuACgg3sYYwNLYEWT6Fzbh9z8Kks7
atkAni/hwFhtXb+L99PD3c3cEBa1Z/ZF
=yEPL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:28:12 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:45 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from 'Francesco Poli <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:46 GMT) Full text and rfc822 format available.

Bug archived. Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:23:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:10:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.